Bug 7720 - Ambiguity in OPAC Details location.
Summary: Ambiguity in OPAC Details location.
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks: 17277
  Show dependency treegraph
 
Reported: 2012-03-15 14:23 UTC by Kyle M Hall
Modified: 2017-07-12 12:29 UTC (History)
15 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7720 - Ambiguity in OPAC Details location. (4.74 KB, patch)
2012-03-15 14:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Screenshot showing updated interface (32.44 KB, image/png)
2012-03-15 15:46 UTC, Owen Leonard
Details
Bug 7720 - Ambiguity in OPAC Details location. (4.74 KB, patch)
2012-03-15 17:15 UTC, Kyle M Hall
Details | Diff | Splinter Review
new screenshot of clearer display (22.42 KB, image/png)
2012-03-16 13:17 UTC, Nicole C. Engard
Details
new screenshot of clearer display (87.71 KB, image/png)
2012-03-16 13:18 UTC, Nicole C. Engard
Details
Bug 7720 - Ambiguity in OPAC Details location. (5.39 KB, patch)
2012-03-16 13:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Screenshot of OPAC with new columns. (56.89 KB, image/png)
2012-03-16 14:22 UTC, Kyle M Hall
Details
[SIGNED-OFF] Bug 7720 - Ambiguity in OPAC Details location. (5.55 KB, patch)
2012-03-16 14:31 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - Followup - Add System Preference (8.08 KB, patch)
2012-03-16 16:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - Followup - Add System Preference (8.10 KB, patch)
2012-03-16 17:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - Followup - Add System Preference (7.58 KB, patch)
2012-03-16 20:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7720 - Ambiguity in OPAC Details location - Followup - Add System Preference (7.69 KB, patch)
2012-03-16 20:09 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (23.10 KB, patch)
2012-04-03 16:38 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (22.92 KB, patch)
2012-04-04 13:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (24.58 KB, patch)
2012-04-04 16:03 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (24.28 KB, patch)
2012-05-14 15:46 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (24.28 KB, patch)
2012-05-24 15:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (25.05 KB, patch)
2012-06-11 08:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (25.49 KB, patch)
2012-07-23 20:58 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (24.94 KB, patch)
2012-07-23 21:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (25.48 KB, patch)
2012-09-20 13:32 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (24.16 KB, patch)
2012-11-15 16:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (19.19 KB, patch)
2013-02-11 14:00 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (19.19 KB, patch)
2013-02-11 14:01 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (12.22 KB, patch)
2013-02-11 14:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7720 - Ambiguity in OPAC Details location. (12.37 KB, patch)
2013-02-11 15:53 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (12.44 KB, patch)
2013-06-03 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (12.51 KB, patch)
2013-07-15 13:27 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - QA Followup (4.12 KB, patch)
2013-08-09 12:25 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (13.00 KB, patch)
2013-09-23 13:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - QA Followup (4.09 KB, patch)
2013-09-23 13:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (12.72 KB, patch)
2013-10-21 13:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - QA Followup (4.18 KB, patch)
2013-10-21 13:08 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location. (12.68 KB, patch)
2014-05-12 10:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 - Ambiguity in OPAC Details location - QA Followup (4.12 KB, patch)
2014-05-12 10:59 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 7720 [QA Followup] - Update Bootstrap theme (6.51 KB, patch)
2014-05-12 11:37 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2012-03-15 14:23:34 UTC
Currently, in opac-detail.pl, there exists a column named 'Location'. This column lists the name of the holding branch, and the item's location description. This can cause confusion to borrowers, as they may assume that the holding branch is the *owning* branch (homebranch) of an item.

This could cause a situation where a borrower waits for an item to be returned to his or her library, only to find that the library never owned that item, and it was transferred back to it's homebranch. It could also lead a borrower to falsely assume that his or her home library does not own a copy of a particular item because the borrower does not see an his or her home library listed for any of the items on the record.

In addition, even when the holding branch is different than the home branch, the item's shelving location is displayed, even though that branch may not use that location!

I propose we add the home branch to this column in the event that it differs from the holding branch.
Comment 1 Kyle M Hall 2012-03-15 14:34:02 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-03-15 15:46:38 UTC
Created attachment 8215 [details]
Screenshot showing updated interface

I agree that the current display is ambiguous. When we originally designed it this way the goal was simplicity for the sake of patron-friendliness: Why show the user information about where the item *isn't*? But it's obviously more complicated than that for a lot of libraries and users.

I think a solution is needed but I'm not sure this is it. I find this a little bit hard for my eye to scan. Is the patron going to understand what "owned by" means in this context?
Comment 3 Ian Walls 2012-03-15 16:15:05 UTC
Do we actually have any data collected from patrons about the usability of these terms and layout, or are we just guessing?  I agree that it can be confusing to have two libraries listed, as the item can only be one place at a time, but I'd recommend we get some kind of hard data first before we go and make this kind of change.
Comment 4 Katrin Fischer 2012-03-15 17:01:53 UTC
I think perhaps this is something we will need some configuraton options for. I can imagine that for different library system different things can make sense. 
I would guess the patron wants to know where he can find the item. If we show owning library and the library uses floating collections, so the item stays at the library where it was last borrowed, the owning library will not be interesting for the patron. If the book is always transfered back to the owning library after filling a hold at another branch, it might only confuse the patron to see where the item is right now. I think showing 2 branches only makes sense under certain circumstances and not sure it will be confusing for the patron.
Comment 5 Kyle M Hall 2012-03-15 17:13:02 UTC
(In reply to comment #3)

It's a guess. This was the best layout I was able to think up at the time. I would be more than happy to make this a system preference-able feature. If you have any other ideas, please let me know.

> Do we actually have any data collected from patrons about the usability of
> these terms and layout, or are we just guessing?  I agree that it can be
> confusing to have two libraries listed, as the item can only be one place at
> a time, but I'd recommend we get some kind of hard data first before we go
> and make this kind of change.
Comment 6 Kyle M Hall 2012-03-15 17:15:49 UTC Comment hidden (obsolete)
Comment 7 Kyle M Hall 2012-03-15 20:36:18 UTC
Just an fyi, but I've now had multiple libraries complain about the current presentation of the location. I think this is a real usability issue that needs to be addressed.
Comment 8 Nicole C. Engard 2012-03-16 13:17:57 UTC Comment hidden (obsolete)
Comment 9 Nicole C. Engard 2012-03-16 13:18:37 UTC
Created attachment 8224 [details]
new screenshot of clearer display
Comment 10 Nicole C. Engard 2012-03-16 13:19:57 UTC
I think the new display is better than it first was, but it's still a bit confusing if you have a shelving location in there as well.  I unfortunatly don't have a better suggestion though ... except maybe to say 'Owned by: library, shelved at: location' .... other ideas?
Comment 11 Kyle M Hall 2012-03-16 13:25:25 UTC Comment hidden (obsolete)
Comment 12 Kyle M Hall 2012-03-16 14:22:52 UTC
Created attachment 8229 [details]
Screenshot of OPAC with new columns.
Comment 13 Nicole C. Engard 2012-03-16 14:31:31 UTC Comment hidden (obsolete)
Comment 14 Nicole C. Engard 2012-03-16 14:31:51 UTC
Much clearer. Signing off.
Comment 15 Nora Blake 2012-03-16 14:39:18 UTC
Hi All,

We're the ones that raised this issue and Kyle kindly created a first shot at a fix.

We would rather just have the owning library listed in the OPAC and then list it's availability status as the system does now.  So if the item is loaned from Library A to Library B, it is still showing as owned by Library A, but "checked out" or "in transit" or whatever stage of the hold fulfillment process it is in.

It doesn't seem necessary to us to muddy the waters in the OPAC with the level of detail of "this is owned by Library A but being used by Library B right now."  We can get that level of information from the staff side with the "Current Location" and "Home Library" columns.  That seems like enough.

What we're finding is that patrons at our member libraries are getting confused with the current display.  They're thinking that their library doesn't own an item because it displays as having a 'current location' of another library when it has been loaned to another library in the consortium.  So the patrons are thinking that the library doesn't own the title and the libraries can come off as looking bad, "why don't we own a copy of 'The Help?' "

I have no idea if this is helpful, but we'd rather see the owning library as the only library information listed in the OPAC.  We think providing the current location information in the OPAC only makes for misinformation and confusion with patrons.

Thanks,

Nora Blake
MassCat
Comment 16 Nicole C. Engard 2012-03-16 14:40:36 UTC
Future enhancement idea for this - make it so that single branch systems can hide the home library column in staff and opac :)
Comment 17 Nicole C. Engard 2012-03-16 14:42:44 UTC
(In reply to comment #15)
> I have no idea if this is helpful, but we'd rather see the owning library as
> the only library information listed in the OPAC.  We think providing the
> current location information in the OPAC only makes for misinformation and
> confusion with patrons.


I don't think this is possible because so many libraries using Koha have had it this way forever and so they're used to seeing the holding branch. They have trained their patrons to know what they're seeing. I don't think we should switch the view without a system preference to let the library choose. This way at least lets you see what you want and the other libraries see what they want.

PS. I comment before this was written while you were writing yours :)
Comment 18 Nora Blake 2012-03-16 14:47:42 UTC
So then what about a system pref that would allow libraries to choose to display only owning library or holding library info?

Nora Blake
MassCat
Comment 19 Kyle M Hall 2012-03-16 16:59:30 UTC Comment hidden (obsolete)
Comment 20 Kyle M Hall 2012-03-16 17:03:35 UTC Comment hidden (obsolete)
Comment 21 Nicole C. Engard 2012-03-16 19:15:58 UTC
Kyle,

I can't apply your follow up - does it go after the patch I signed off on? or does it replace it?



Applying: Bug 7720 - Ambiguity in OPAC Details location - Followup - Add System Preference
/home/nengard/kohaclone/.git/rebase-apply/patch:49: trailing whitespace.
                  home: "home library" 
/home/nengard/kohaclone/.git/rebase-apply/patch:92: trailing whitespace.

/home/nengard/kohaclone/.git/rebase-apply/patch:99: space before tab in indent.
                                                <a href="[% ITEM_RESULT.homebranchurl %]">[% ITEM_RESULT.homebranchname %]</a>
/home/nengard/kohaclone/.git/rebase-apply/patch:102: trailing whitespace.
                                        [% END %]
error: patch failed: installer/data/mysql/sysprefs.sql:347
error: installer/data/mysql/sysprefs.sql: patch does not apply
error: patch failed: installer/data/mysql/updatedatabase.pl:4910
error: installer/data/mysql/updatedatabase.pl: patch does not apply
Patch failed at 0001 Bug 7720 - Ambiguity in OPAC Details location - Followup - Add System Preference
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/Bug-7720---Ambiguity-in-OPAC-Details-location---Fo-pwHrf1.patch
Comment 22 Kyle M Hall 2012-03-16 20:01:48 UTC Comment hidden (obsolete)
Comment 23 Kyle M Hall 2012-03-16 20:03:03 UTC
The new patch is a followup, so it will need to be applied on top of the previous patch.
Comment 24 Nicole C. Engard 2012-03-16 20:09:30 UTC Comment hidden (obsolete)
Comment 25 Jonathan Druart 2012-03-23 10:41:18 UTC
QA Comments: 

The patch does not apply on the current master.

Moreover, there is a lot of tabulation characters in your patch (in opac-detail.tt). Please replace them with 4 spaces.

Marked as Failed QA
Comment 26 Kyle M Hall 2012-04-03 16:38:06 UTC Comment hidden (obsolete)
Comment 27 Kyle M Hall 2012-04-04 13:28:48 UTC Comment hidden (obsolete)
Comment 28 Kyle M Hall 2012-04-04 16:03:03 UTC Comment hidden (obsolete)
Comment 29 Liz Rea 2012-05-11 00:07:26 UTC
Patch will not apply - 

Falling back to patching base and 3-way merge...
Auto-merging opac/opac-detail.pl
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Auto-merging installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
Auto-merging C4/Items.pm
Failed to merge in the changes.
Patch failed at 0001 Bug 7720 - Ambiguity in OPAC Details location.
Comment 30 Kyle M Hall 2012-05-14 15:46:58 UTC Comment hidden (obsolete)
Comment 31 delaye 2012-05-24 12:47:29 UTC
i try to apply this patch in a sandbox but i don't see the sys pref 
OpacLocationBranchToDisplay and OpacLocationBranchToDisplayShelving in my koha
Comment 32 Kyle M Hall 2012-05-24 15:34:24 UTC Comment hidden (obsolete)
Comment 33 Kyle M Hall 2012-05-24 15:35:19 UTC
The previous iteration of this patch ahd $DBversion = "3.07.00.XXX" in updatedatabase.pl, and thus the update was being skipped over. This new one should work.
Comment 34 Francois Charbonnier 2012-06-10 10:44:03 UTC
Patch doesn't apply :

Bug 7720 - Ambiguity in OPAC Details location.
Apply? [yn] y

Applying: Bug 7720 - Ambiguity in OPAC Details location.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging C4/Items.pm
Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt
Auto-merging opac/opac-detail.pl
Failed to merge in the changes.
Patch failed at 0001 Bug 7720 - Ambiguity in OPAC Details location.
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Patch left in /tmp/Bug-7720---Ambiguity-in-OPAC-Details-location-CmCdA1.patch
Comment 35 Kyle M Hall 2012-06-11 08:28:34 UTC Comment hidden (obsolete)
Comment 36 Owen Leonard 2012-07-20 19:42:13 UTC
This needs to be rebased. Also looks like there's a conflict marker somewhere?

+<<<<<<< HEAD
Comment 37 Kyle M Hall 2012-07-23 20:58:59 UTC Comment hidden (obsolete)
Comment 38 Kyle M Hall 2012-07-23 21:00:06 UTC Comment hidden (obsolete)
Comment 39 Melia Meggs 2012-08-01 23:36:52 UTC
I think Kyle forgot to change the status... Changing status to "needs signoff" for the new patch from 7/23.
Comment 40 Owen Leonard 2012-08-21 17:20:10 UTC
Tested these conditions:

OpacLocationBranchToDisplay = holding library
OpacLocationBranchToDisplayShelving  = holding library

- Only holding library displays, shelving location is shown

OpacLocationBranchToDisplay = holding library
OpacLocationBranchToDisplayShelving  = home and holding library

- Only holding library displays, shelving location is shown (same as previous)

OpacLocationBranchToDisplay = holding library
OpacLocationBranchToDisplayShelving  = home library

- Only holding library displays, shelving location is not shown

OpacLocationBranchToDisplay = home library
OpacLocationBranchToDisplayShelving  = holding library

- Only home library displays, shelving location is not shown

OpacLocationBranchToDisplay = home library
OpacLocationBranchToDisplayShelving  = home and holding library

- Only home library displays, shelving location is shown

OpacLocationBranchToDisplay = home library
OpacLocationBranchToDisplayShelving  = home library

- Only home library displays, shelving location is shown (same as previous)

OpacLocationBranchToDisplay = home and holding library
OpacLocationBranchToDisplayShelving  = holding library

- Home and holding libraries display, shelving location shown with holding

OpacLocationBranchToDisplay = home and holding library
OpacLocationBranchToDisplayShelving  = home and holding library

- Home and holding libraries display, shelving location shown with both

OpacLocationBranchToDisplay = home and holding library
OpacLocationBranchToDisplayShelving  = home library

- Home and holding libraries display, shelving location shown with home

Functionally this seems to be working as expected. There are a couple of peripheral issues which need to be corrected:

- The column of item-level holds is not displayed. Even in cases where there is an item-level hold the column is empty.

- The patch violates capitalization guidelines (Bug 2780) ("Current location" and "Home Library").
Comment 41 Kyle M Hall 2012-09-20 13:32:39 UTC Comment hidden (obsolete)
Comment 42 Kyle M Hall 2012-09-20 13:35:23 UTC
> - The column of item-level holds is not displayed. Even in cases where there
> is an item-level hold the column is empty.

I'm not sure what you are referring to here. Could you post an before/after screenshot?
 
> - The patch violates capitalization guidelines (Bug 2780) ("Current
> location" and "Home Library").

Fixed.
Comment 43 Marcel de Rooy 2012-11-15 14:03:28 UTC
Please look at: 
--- a/installer/data/mysql/sysprefs.sql
+++ b/installer/data/mysql/sysprefs.sql
+<<<<<<< HEAD
Comment 44 Kyle M Hall 2012-11-15 16:44:50 UTC Comment hidden (obsolete)
Comment 45 Kyle M Hall 2012-11-15 16:45:09 UTC
Fixed!

(In reply to comment #43)
> Please look at: 
> --- a/installer/data/mysql/sysprefs.sql
> +++ b/installer/data/mysql/sysprefs.sql
> +<<<<<<< HEAD
Comment 46 Owen Leonard 2013-02-08 20:36:04 UTC
This patch no longer applies.
Comment 47 Kyle M Hall 2013-02-11 14:00:05 UTC Comment hidden (obsolete)
Comment 48 Kyle M Hall 2013-02-11 14:01:35 UTC Comment hidden (obsolete)
Comment 49 Kyle M Hall 2013-02-11 14:13:01 UTC Comment hidden (obsolete)
Comment 50 Bernardo Gonzalez Kriegel 2013-02-11 15:53:28 UTC Comment hidden (obsolete)
Comment 51 Chris Cormack 2013-05-27 08:05:26 UTC
#       both modified:      installer/data/mysql/sysprefs.sql
#       both modified:      installer/data/mysql/updatedatabase.pl
#       both modified:      koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt

Patch doesn't apply cleanly, I could fix the first 2 files, but unsure on the 3rd one, Kyle can you rebase and set back to signed off please
Comment 52 Kyle M Hall 2013-06-03 12:07:33 UTC Comment hidden (obsolete)
Comment 53 Katrin Fischer 2013-07-12 21:30:44 UTC
Hi Kyle, could you take a look at the conflicts please and submit a new rebased patch?

Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 7720 - Ambiguity in OPAC Details location.
Using index info to reconstruct a base tree...
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt
CONFLICT (content): Merge conflict in koha-tmpl/opac-tmpl/prog/en/modules/opac-detail.tt
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
Failed to merge in the changes.
Patch failed at 0001 Bug 7720 - Ambiguity in OPAC Details location.
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Comment 54 Kyle M Hall 2013-07-15 13:27:28 UTC Comment hidden (obsolete)
Comment 55 Jonathan Druart 2013-07-18 12:25:58 UTC
QA comment:

Kyle, could you provide a version of this patch using the branches template plugin? Like that, I think you could delete the sql query in C4::Items::GetItemsInfo.

Marked as Failed QA.
Comment 56 Kyle M Hall 2013-08-09 12:25:20 UTC Comment hidden (obsolete)
Comment 57 Jonathan Druart 2013-09-04 14:29:39 UTC
Kyle, first patch does not apply cleanly (conflicts in opac-detail.tt).
Comment 58 Kyle M Hall 2013-09-23 13:12:24 UTC Comment hidden (obsolete)
Comment 59 Kyle M Hall 2013-09-23 13:12:35 UTC Comment hidden (obsolete)
Comment 60 Marcel de Rooy 2013-10-21 13:08:43 UTC Comment hidden (obsolete)
Comment 61 Marcel de Rooy 2013-10-21 13:08:51 UTC Comment hidden (obsolete)
Comment 62 Marcel de Rooy 2013-10-21 13:22:51 UTC
QA Comment:
Works as described. Code looks good to me. 
Passed QA

Just a few side-notes:
Can we prevent constructions like 
[% IF ( Branches.GetURL( ITEM_RESULT.homebranch ) ) %]
    <a href="[% Branches.GetURL( ITEM_RESULT.homebranch ) %]">[% Branches.GetName( ITEM_RESULT.homebranch ) %]</a>
making repeated calls to same function?

The code for showing shelf loc also relies heavily on having 1) the shelf loc obviously, 2) having auth val LOC on that field and 3) in that particular framework. I had something in location, but it would not show up until I realized that the biblio was in another framework :)

GetURL includes a statement:
 return encode( 'UTF-8', $b->{'branchurl'} );
It works, but (outside the scope of this report) it would be even better if we should not need them at that spot. Referring further to encoding problems/discussions..
Comment 63 Galen Charlton 2014-05-05 23:06:12 UTC
This needs a Bootstrap follow-up, and unfortunately that looks to be non-trivial.
Comment 64 Kyle M Hall 2014-05-12 10:59:22 UTC
Created attachment 28172 [details] [review]
Bug 7720 - Ambiguity in OPAC Details location.

Currently, in opac-detail.pl, there exists a column named 'Location'.
This column lists the name of the holding branch, and the item's
location description. This can cause confusion to borrowers, as
they may assume that the holding branch is the *owning* branch
(homebranch) of an item.

This could cause a situation where a borrower waits for an
item to be returned to his or her library, only to find that
the library never owned that item, and it was transferred back
to it's homebranch. It could also lead a borrower to falsely
assume that his or her home library does not own a copy of a
particular item because the borrower does not see an his or her
home library listed for any of the items on the record.

In addition, even when the holding branch is different
than the home branch, the item's shelving location is displayed,
even though that branch may not use that location.

This commit makes the item details table equivilent to the intranet
details page by adding a "Home Library" column, which displays the
item's home library, as well as the shelving location.

If singleBranchMode is enabled, this column disappears and the
"Location" column displays the shelving location only.

This commit adds two new system preferences:

OpacLocationBranchToDisplay, which defines whether
to display the holding library, the home library,
or both for the opac details page.

OpacLocationBranchToDisplayShelving, which defines
where the shelving location should be displayed,
under the home library, the holding library, or both.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described. Tested all variations.
No koha-qa errors.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 65 Kyle M Hall 2014-05-12 10:59:33 UTC
Created attachment 28173 [details] [review]
Bug 7720 - Ambiguity in OPAC Details location - QA Followup

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 66 Kyle M Hall 2014-05-12 11:37:50 UTC
Created attachment 28175 [details] [review]
Bug 7720 [QA Followup] - Update Bootstrap theme

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 67 Kyle M Hall 2014-05-12 11:39:53 UTC
Setting to Passed QA since the bootstrap followup appears to be the only blocker for this. I've tested every combination of the system preferences for the bootstrap followup, and it looks good!
Comment 68 Galen Charlton 2014-05-26 02:55:08 UTC
Pushed to master, along with follow-ups.  Thanks, Kyle!
Comment 69 Mason James 2015-02-25 13:25:29 UTC
(In reply to Galen Charlton from comment #68)
> Pushed to master, along with follow-ups.  Thanks, Kyle!

Enhancement, skipping patch for 3.16.x series